boxed_vertical_seekbar 1.0.1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 61

boxed_vertical_seekbar

A vertical SeekBar build with two SizedBox with versatile appearance.

Inspired by the BoxedVerticalSeekBar Android library by @alpbak.

Usage

Import into your project.

pubspec.yaml:

dependencies:
  ...
  boxed_vertical_seekbar: ^1.0.0

Use the widget in your project. Height and width parameters are required.

Example:

BoxedVerticalSeekbar(
  height: 400.0,
  width: 150.0,
  onValueChanged: (newValue) => print(newValue),
)

To learn more about the available parameters visit the docs.

Default appearance of the SeekBar is a red active bar over a grey inactive bar.

Getting Started

For help getting started with Flutter, view our online documentation.

[1.0.0] - 14/09/2018

  • Initial release of the package.

example/lib/main.dart

import 'package:flutter/material.dart';

import 'main_route.dart';

void main() => runApp(BoxedVerticalSeekbarApp());

class BoxedVerticalSeekbarApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Boxed Vertical Seekbar',
      home: MainRoute(),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  boxed_vertical_seekbar: ^1.0.1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:boxed_vertical_seekbar/boxed_vertical_seekbar.dart';
  
Version Uploaded Documentation Archive
1.0.1 Sep 19, 2018 Go to the documentation of boxed_vertical_seekbar 1.0.1 Download boxed_vertical_seekbar 1.0.1 archive
1.0.0 Sep 19, 2018 Go to the documentation of boxed_vertical_seekbar 1.0.0 Download boxed_vertical_seekbar 1.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
22
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
61
Learn more about scoring.

We analyzed this package on Dec 5, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7
  • Flutter: 1.0.0

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test